Page MenuHomePhabricator

CentralAuth wikiset manager complains about pa_uswikimedia
Open, LowestPublic

Description

See https://meta.wikimedia.org/w/index.php?title=Special%3ALog&type=gblrights&user=MF-Warburg&page=Special%3AWikiSets%2F12&year=&month=-1&tagfilter=
I have just wanted to change it and it complained that the wiki pa_uswikimedia does not exist, so I simply removed it. Trying to readd does not work, even though it still appears in the list of wikis /not/ contained in the set.

Probably related to the rename described in bug 19986 comment 12.


Version: unspecified
Severity: trivial
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=58024

Details

Reference
bz46746

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 1:32 AM
bzimport set Reference to bz46746.
bzimport added a subscriber: Unknown Object (MLST).
Reedy added a comment.Apr 1 2013, 1:10 AM

The database wasn't renamed (ie pa_uswikimedia), just the server side links.

Still in the same database lists:

reedy@fenari:/home/wikipedia/common$ grep pa_uswikimedia *.dblist
all.dblist:pa_uswikimedia
closed.dblist:pa_uswikimedia
s3.dblist:pa_uswikimedia
small.dblist:pa_uswikimedia
wikimedia.dblist:pa_uswikimedia

https://meta.wikimedia.org/w/api.php?action=sitematrix

<special url="http://pa-us.wikimedia.org" dbname="pa_uswikimedia" code="pa-uswikimedia" closed="" />

^ I wonder if that "code" changed..

Reedy added a comment.May 7 2013, 1:41 AM

Is this still an issue?

Can you post the proper error messages you get when you try and re-add it.

Might need to temporarily give myself rights to test the changes to the wikisets...

Quite simple, it says:
The following wiki does not exist: pa_uswikimedia.

This just happened again with wikimania2012wiki.

"The following wikis do not exist: ukwikimedia, wikimania2013wiki."
It was necessary to remove them before any other wikiset changes could be made.

Glaisher added a subscriber: Glaisher.

This error is shown if there is a wiki in the input not found in the centralauth wiki list.

	function wmfCentralAuthWikiList( &$list ) {
		global $wgLocalDatabases, $IP, $wgSiteMatrixPrivateSites,
			$wgSiteMatrixFishbowlSites, $wgSiteMatrixClosedSites;

		$list = array_diff(
			$wgLocalDatabases,
			$wgSiteMatrixPrivateSites,
			$wgSiteMatrixFishbowlSites,
			$wgSiteMatrixClosedSites,
			MWWikiversions::readDbListFile( getRealmSpecificFilename( "$IP/../nonglobal.dblist" ) )
		);
		return false;
	}

	$wgHooks['CentralAuthWikiList'][] = 'wmfCentralAuthWikiList';

This doesn't seem right. Why are closed wikis not considered as CentralAuth wikis?

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 20 2015, 1:20 PM

Looks like GlobalUserPage also uses this list for the cache update job.

Does CentralAuth make use of this list anywhere else?

Does CentralAuth make use of this list anywhere else?

I took a look around while waiting for my flight home. Starting from CentralAuthUser:

  • getWikiList
    • validateList
      • adminUnattach
    • importLocalNames
      • lazyImportLocalNames
        • listUnattached
        • addLocalName
          • CentralAuthPlugin::initUser
          • CentralAuthHooks::onAddNewAccount
          • CentralAuthHooks:onRenameUserComplete
        • removeLocalName
          • CentralAuthHooks::onRenameUserComplete
          • CentralAuthHooks::onDeleteAccount
    • SecurePoll extension
    • WikiGrok extension

Looks like GlobalUserPage also uses this list for the cache update job.

Our config does $wgHooks['GlobalUserPageWikis'][] = 'wmfCentralAuthWikiList';, yes

That probably means we actually depend on it to not include closed wikis... Perhaps we can just simply use $wgLocalDatabases on Special:WikiSets? But this would mean that, it would be possible to add non-CentralAuth wikis to the wikisets without actually having any effect. Is doing that a bad idea?

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptApr 18 2016, 9:18 AM